Spite/Spire Proxy for iPhone 4/3GS on iOS 5.1.1?

Kyotoma

macrumors 68000
Original poster
Nov 11, 2010
1,996
46
Carnegie and Ontario
I do realize that this information may be out there but my searches haven't wielded any clear answers: Is there a Siri port for the iPhone 4 or 3GS on iOS 5.1.1? One of my stipulations of updating and Jailbreaking iOS 5.1.1 is the loss of Siri, which I have come to use every day.
 

NightOps

macrumors newbie
Jun 25, 2010
3
0
Spite 2.3 for iOS 5.1 from the Technetec repo (http://vip.technetec.com). I just did a full fresh restore of 5.1.1 on my iPhone 4 (GSM), JB using Absinthe 2.0, did all updates from Cydia, then added the repo and installed. Right after you install Spite, make sure to install the camera fixes (MAKE SURE YOU CHOOSE THE ONE FOR 5.1!!!!). Works like a charm so far!!!
 

Kyotoma

macrumors 68000
Original poster
Nov 11, 2010
1,996
46
Carnegie and Ontario
Spite 2.3 for iOS 5.1 from the Technetec repo (http://vip.technetec.com). I just did a full fresh restore of 5.1.1 on my iPhone 4 (GSM), JB using Absinthe 2.0, did all updates from Cydia, then added the repo and installed. Right after you install Spite, make sure to install the camera fixes (MAKE SURE YOU CHOOSE THE ONE FOR 5.1!!!!). Works like a charm so far!!!
Alright. What Camera Fixes are there?

ALSO: Do you know if Spite works with IMZDL's Spire Proxies?
 
Last edited:

Aznboy1993

macrumors newbie
Feb 25, 2012
24
0
Omnipresent
Alright. What Camera Fixes are there?

ALSO: Do you know if Spite works with IMZDL's Spire Proxies?
Yes they work with IMZDL's proxies. I've been using their proxies since the very earlier days and since I migrated to 5.1 when it came out I started using Spite and their proxies work flawlessly with it.

However, I'm almost certain Spite REQUIRES a tethered boot every time regardless if you have an untethered exploit installed or not. Don't quote me on this though, I've tried reaching the developer (Twitter handle: @S26Tech), but I haven't gotten a response yet. If anyone else knows about this please chime in!
 

iRooney

macrumors 6502
Jul 14, 2011
441
0
Charleston, SC
Spite does in fact require a tethered boot regardless of whether your exploit is tethered or not. Also, it isn't likely that chpwn will release another version of Spire....seems like development on that has been dead for quite some time now. Maybe he was just waiting for the untether though.

I've been dicking around with trying to get siriport.ru working, but I'm not having much luck in that area. Might be at the point now where we decide whether we want 5.1.1 or Siri, because we can't have both.

I want to try changing my plist file to say I have 5.0.1, install Spire, then change it back....not sure if I am going to shoot myself in the foot that way though.

----------

I can confirm that changing your plist file and telling it you are on 5.0.1 will allow you to install Spire and it works....however....as soon as you change it back to 5.1.1 it will try to uninstall itself. Now, the big question, does it matter if your plist says 5.1.1?
 

JGruber

macrumors 6502
Feb 13, 2006
348
2
Spite does in fact require a tethered boot regardless of whether your exploit is tethered or not. Also, it isn't likely that chpwn will release another version of Spire....seems like development on that has been dead for quite some time now. Maybe he was just waiting for the untether though.

I've been dicking around with trying to get siriport.ru working, but I'm not having much luck in that area. Might be at the point now where we decide whether we want 5.1.1 or Siri, because we can't have both.

I want to try changing my plist file to say I have 5.0.1, install Spire, then change it back....not sure if I am going to shoot myself in the foot that way though.

----------

I can confirm that changing your plist file and telling it you are on 5.0.1 will allow you to install Spire and it works....however....as soon as you change it back to 5.1.1 it will try to uninstall itself. Now, the big question, does it matter if your plist says 5.1.1?
What plist needs to be changed? I'll give it a shot.
 

iRooney

macrumors 6502
Jul 14, 2011
441
0
Charleston, SC
What plist needs to be changed? I'll give it a shot.
I'll save you the trouble. Completely bricked after respring. Back to square one. Not sure where to go from here. Not quite sure why Spite needs a tether when the OS itself doesn't. Seems strange.
 

JGruber

macrumors 6502
Feb 13, 2006
348
2
I'll save you the trouble. Completely bricked after respring. Back to square one. Not sure where to go from here. Not quite sure why Spite needs a tether when the OS itself doesn't. Seems strange.
Thanks.

I don't like the fact you have to pay to get Spite, plus, I had it in the past (before they made you pay), and it slowed my phone way down. Spire, on the other hand, worked perfect on 5.0.1
 

Kyotoma

macrumors 68000
Original poster
Nov 11, 2010
1,996
46
Carnegie and Ontario
Thanks.

I don't like the fact you have to pay to get Spite, plus, I had it in the past (before they made you pay), and it slowed my phone way down. Spire, on the other hand, worked perfect on 5.0.1
Interesting that you say that. Spite's advertised advantage over Spire was always speed. Haha.
 

iRooney

macrumors 6502
Jul 14, 2011
441
0
Charleston, SC
Well we know Spite works, albeit apparently only half-assedly...so there's gotta be something that can get Spire working the same. My only thought with why Spite requires the tethering it activates something at the boot level and when they developed it, there was no untether available at the boot level. I just tweeted chpwn to see if he has any plans to develop any further.
 

iRooney

macrumors 6502
Jul 14, 2011
441
0
Charleston, SC
Do not expect an update to come to Spire whatsoever. From what I have been reading, the only reason Spire existed on 5.0.1 was because Apple forgot to close a certificate hole. They plugged the hole in 5.1. Hacking back in through 5.1.1 would be illegal and would end chpwn in a world of trouble. Spite may be updated, but don't expect the real Spire to see any updates.

Unless something magical happens, I am going to be running Siri-less until the next iPhone comes out and I am eligible for an upgrade (or like I did with AT&T - make enough money selling my current phone to offset the cost of the ETF and the new phone -- did that when I switched form AT&T to Verizon - paid ETF, bought new phone, and had $150 left in my pocket) -- man I love resale value of Apple products [this was years ago btw]).
 

Morrolan

macrumors newbie
May 25, 2012
1
0
Spite 2.3 for iOS 5.1 from the Technetec repo (http://vip.technetec.com). I just did a full fresh restore of 5.1.1 on my iPhone 4 (GSM), JB using Absinthe 2.0, did all updates from Cydia, then added the repo and installed. Right after you install Spite, make sure to install the camera fixes (MAKE SURE YOU CHOOSE THE ONE FOR 5.1!!!!). Works like a charm so far!!!
Did it ask you to reboot the phone? I am on Verizon iPhone 4 with a full fresh restore and jailbreak with Absinthe 2.0. My phone just stick on the Apple symbol when rebooting. I used http://repo.technetec.com/vip. The repo you listed seems to have no files.
 
Last edited:

WillFisher

macrumors 6502
Feb 19, 2011
383
10
I'm looking to run Spite on my 3GS and I have a few questions linked to this,
1. I've heard that Spite bricks iPhones, is this true?
2. Apparently it only runs on a tethered iPhone? This can't be true?!
3. Whats this camera fix everyone goes on about?
 

iRooney

macrumors 6502
Jul 14, 2011
441
0
Charleston, SC
And 15 minutes ago....

@chpwn: Also, due to how it works, it’s *impossible* to update Spire to support iOS 5.1: Apple does not host a decrypted copy of Siri for iOS 5.1.
 

bmwhd

macrumors 6502a
May 22, 2008
775
2
Well. No 5.1.1 for me then. Fortunately 5.0.1 is humming along nicely on my iP4.
 

karo818

macrumors newbie
May 25, 2012
1
0
My phone is stuck at the boot logo for more than 20 minutes I tried putting it in defy mode and also owned dfu on redsn0w but it still doesn't work I'm on iOS 5.1.1 untethered iPhone 4 gsm
 

lyon21

macrumors newbie
May 25, 2012
2
0
How do you boot tethered with an untethered jailbreak? Also, do you have to boot tethered every time?
 

bandofbrothers

macrumors 601
Oct 14, 2007
4,780
328
Uk
Exactly the reason why I'm staying put on 5.0.1 on my iPhone 4, using Spire.

My next move will be the next iPhone device !
 

iRooney

macrumors 6502
Jul 14, 2011
441
0
Charleston, SC
I was going to stay put on 5.0.1 too, but I have my blobs saved do I figured I'd see how well absinthe worked. I never realized how much of a hog Siri/Spire or whichever portion is to blame was. I'm sticking with 5.1.1 without Spire til the new phone comes out. I thought I used Siri a lot but aside from asking where to hide a dead body I really only used it for composing texts....and that's what vlingo does anyway....now if only they'd release incar for iOS.
 

Major General

macrumors member
May 26, 2012
94
0
Yeah if you're dependent on Siri I would stick on IOS 5.01, on 5.1 you're required to have a tethered jailbreak, otherwise you'll be stuck on your boot logo all day( if it does happen just use redsnow to boot it tethered then go to cydia and uninstall it)
 

crtrtr

macrumors newbie
May 26, 2012
13
0
SiriPort.Ru released a version for 5.1.1. I have downloaded the .deb file and trying to see if it works, I'll comment back in about an hour after I check it.
it can be downloaded through the server or if the server is unavailble through the .deb. here is the link to the .deb if anyone wanna try it:
http://depositfiles.com/files/su7fj8bjx
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.